Bug 820930 - JBossAS 5 plugin: original package versions in Full Package Audit Trail are all replaced with new version after redeploy
JBossAS 5 plugin: original package versions in Full Package Audit Trail are a...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Content, Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 07:07 EDT by Filip Brychta
Modified: 2015-11-01 19:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
historyScreenshot1 (183.65 KB, image/png)
2012-05-11 07:08 EDT, Filip Brychta
no flags Details
historyScreenshot2 (195.94 KB, image/png)
2012-05-11 07:09 EDT, Filip Brychta
no flags Details
upload new file screenshot (128.46 KB, image/png)
2012-05-11 07:11 EDT, Filip Brychta
no flags Details

  None (edit)
Description Filip Brychta 2012-05-11 07:07:41 EDT
Description of problem:
When redeploying content of standalone web application, original correct package versions in Full Package Audit Trail are all replaced by version of newly deployed package with same name.

Version-Release number of selected component (if applicable):
Version: 3.1.0.GA
Build Number: 07775cb:4ccefd7

GWT Version: 2.4.0
SmartGWT Version: 3.0

How reproducible:
Always

Steps to Reproduce:
1.Go to content history page of your standalone web application (see historyScreenshot1.png) 
2.redeploy the content: content>new>upload new package, fill different version (see uploadNewFile.png)
  
Actual results:
Package version in Full Package Audit Trail is updated even for previous records. All package versions were replaced, 4.0 -> 5.0. See historyScreenshot2.png 

Expected results:
Previous records should be untouched.
Comment 1 Filip Brychta 2012-05-11 07:08:52 EDT
Created attachment 583801 [details]
historyScreenshot1
Comment 2 Filip Brychta 2012-05-11 07:09:14 EDT
Created attachment 583802 [details]
historyScreenshot2
Comment 3 Filip Brychta 2012-05-11 07:11:16 EDT
Created attachment 583803 [details]
upload new file screenshot
Comment 4 Libor Zoubek 2012-05-11 13:39:56 EDT
Filip, I think this behaviour is expected. 

You deployed some war as version 1.0 and later you deployed same war having version 2.0. RHQ recognizes that your version 2.0 has exactly same content (SHA) as version 1.0 therefore 1.0 = 2.0 and RHQ uses just latest version you've specified. You've promoted same WAR having different version (this may happen if you mistyped version string when deploying version 1.0)

If you deploy WAR version 5.0 that has different content/SHA you'll see it in history together with version 2.0.
Comment 5 Filip Brychta 2012-05-15 08:17:41 EDT
(In reply to comment #4)
> Filip, I think this behaviour is expected. 
> 
> You deployed some war as version 1.0 and later you deployed same war having
> version 2.0. RHQ recognizes that your version 2.0 has exactly same content
> (SHA) as version 1.0 therefore 1.0 = 2.0 and RHQ uses just latest version
> you've specified. You've promoted same WAR having different version (this may
> happen if you mistyped version string when deploying version 1.0)
> 
> If you deploy WAR version 5.0 that has different content/SHA you'll see it in
> history together with version 2.0.

I think that modification of audit trail is not the best approach for this use case. History in audit trail should stay untouched and user should be notified, that he is trying to deploy the same package with different version.

Note You need to log in before you can comment on or make changes to this bug.